Last Comment Bug 799643 - Current comm-central builds of GData extension use old and incorrect version 0.2pre
: Current comm-central builds of GData extension use old and incorrect version ...
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Provider: GData (show other bugs)
: Lightning 2.1
: All All
: -- normal with 1 vote (vote)
: 2.1
Assigned To: Philipp Kewisch [:Fallen]
:
Mentors:
Depends on: 803834
Blocks: 803981
  Show dependency treegraph
 
Reported: 2012-10-09 12:47 PDT by Stefan Sitter
Modified: 2012-11-02 06:19 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix - v1 (583 bytes, patch)
2012-10-12 12:25 PDT, Philipp Kewisch [:Fallen]
ssitter: review+
Details | Diff | Splinter Review
Additional Fix (709 bytes, patch)
2012-11-02 04:16 PDT, Philipp Kewisch [:Fallen]
ssitter: review+
Details | Diff | Splinter Review

Description Stefan Sitter 2012-10-09 12:47:07 PDT
Todays comm-central build of the of GData extension based on mozilla19 source code will identify itself as version 0.2pre.

Version 0.2 of the GData extension was already released in 2007. Current version number should be higher ;)
Comment 1 Philipp Kewisch [:Fallen] 2012-10-12 12:25:07 PDT
Created attachment 670914 [details] [diff] [review]
Fix - v1

Looks like this kind of bug is biting me everywhere :) This patch should fix it, at least until 0.100 ;-)
Comment 2 Philipp Kewisch [:Fallen] 2012-10-19 07:03:41 PDT
Pushed to comm-central changeset 7f1a33a6e03b
Comment 3 Stefan Sitter 2012-10-21 09:22:19 PDT
Somehow it didn't work on the Linux build server. The install.rdf file contains only 
<em:version></em:version> without any version information. The Mac OS X build seems OK.
Comment 4 Tony Mechelynck [:tonymec] 2012-10-21 11:31:39 PDT
(In reply to Stefan Sitter from comment #3)
> Somehow it didn't work on the Linux build server. The install.rdf file
> contains only 
> <em:version></em:version> without any version information. The Mac OS X
> build seems OK.

Yes, to be precise: both L32 and L64 builds lack the version information. The Mac build has <em:version>0.20pre</em:version> as expected. No W32 build was produced (the latest one was on 18 October), which is of course a different bug.
Comment 5 Tony Mechelynck [:tonymec] 2012-10-21 12:24:47 PDT
This reminds me of a change I've seen in another file: http://hg.mozilla.org/hgcustom/hghooks/rev/e7d2ca6c9aee#l1.28

What is the Python version of the linux builders?
Comment 6 Philipp Kewisch [:Fallen] 2012-10-21 13:02:14 PDT
Mac uses python 2.7 since the new slave is around, Linux uses 2.6 since today and 2.5 before, Windows uses 2.7 since today and 2.5 before.
Comment 7 Tony Mechelynck [:tonymec] 2012-10-21 13:26:58 PDT
(In reply to Philipp Kewisch [:Fallen] from comment #6)
> Mac uses python 2.7 since the new slave is around, Linux uses 2.6 since
> today and 2.5 before, Windows uses 2.7 since today and 2.5 before.

So Linux builders are on an older version than the rest. See also bug 803834 comment #3.
Comment 8 Stefan Sitter 2012-10-29 14:48:08 PDT
Philipp, could you provide a patch that works with Python 2.6? As long as this version is supported by the build system we should support it too.
Comment 9 Philipp Kewisch [:Fallen] 2012-11-02 04:16:53 PDT
Created attachment 677709 [details] [diff] [review]
Additional Fix

I've tested this with python 2.6 and 2.7, it should work.
Comment 10 Stefan Sitter 2012-11-02 04:44:08 PDT
Comment on attachment 677709 [details] [diff] [review]
Additional Fix

The original problem and its patch were only checked in to comm-central (Lightning 2.1) therefore I see no need to port it back to aurora and beta.
Comment 11 Philipp Kewisch [:Fallen] 2012-11-02 06:17:58 PDT
Comment on attachment 677709 [details] [diff] [review]
Additional Fix

Oh, right. Thanks for the reminder!
Comment 12 Philipp Kewisch [:Fallen] 2012-11-02 06:19:37 PDT
Pushed to comm-central changeset f919289ef9c8

Note You need to log in before you can comment on or make changes to this bug.